%define _requires_exceptions libgcc_s.so.1\\|libstdc++.so.6\\|libX11.so.6\\|libm.so.6

%define nicename aTunes

Name: 		atunes
Version: 	3.1.2
Release: 	%mkrel 1
Summary: 	Java Based Music Player
Summary(de):	Java basierter Musikspieler
Group:   	Sound
License: 	GPL
#Packager:	texstar <texstar@gmail.com>
URL:     	http://www.atunes.org
Source:  	%{name}-%{version}-bin.tar.xz
Source1:	atunes-16.png 	
Source2:	atunes-32.png
Source3:	atunes-48.png
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	java-1.7.0-sun
Requires:	java-1.7.0-sun-alsa
Requires:	lame
Requires:	%{_lib}lame0
Requires:	flac
Requires:	mplayer vorbis-tools
Obsoletes: 	%name < %version
AutoProv:	no

%description
aTunes is a full-featured audio player and manager, developed
in Java programming language, so it can be executed on different
platforms: Windows, Linux and Unix-like systems. Currently plays mp3,
ogg, wma, wav, flac, mp4 and radio streaming, allowing users to
easily edit tags, organize music and rip Audio CDs.

%description -l de
aTunes ist ein voll ausgestatteter Musikspieler und -manager, der in 
Java geschrieben ist, so kann es auf verschiedenen Plattformen ausfüheren: 
Windows, Linux und Unix artige Systeme. Derzeitig spielt es mp3, ogg, 
wma, wav, flac, mp4 und Radiostreams. Der Benutzer kann Tags bearbeiten, 
die Musik organisieren und MusikCDs rippen.

%prep
%setup -q -n %{name}-%{version}

%install
export DONT_STRIP=1
rm -rf %{buildroot}

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir,%_bindir,%{_datadir}/%{nicename}}	
install -m 644 %SOURCE1 %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %SOURCE2 %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %SOURCE3 %buildroot/%{_liconsdir}/%{name}.png

#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=aTunes Music Client
Name[de]=aTunes Musikklient
Comment=aTunes Music Client
Comment[de]=aTunes Musikklient
Exec=%{_datadir}/%{nicename}/%{nicename}.sh
Icon=atunes.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Multimedia-Sound
EOF

# Just copy to buildroot
cp -af . %{buildroot}%{_datadir}/%{nicename}

# Create execfile for aTunes in /bin 
%__cat > %{buildroot}%{_bindir}/%{name} <<EOF
pushd %{_datadir}/%{nicename}
./%{nicename}.sh
popd
EOF


# Set files executable
chmod +x %{buildroot}%{_datadir}/%{nicename}/%{nicename}.sh
chmod +x %{buildroot}%{_bindir}/%{name}

# Remove Microsoft Windows and MacOS content:
rm -rf %{buildroot}%{_datadir}/%{nicename}/{win_tools,aTunes.exe,*.ico,*.dll,*.icns}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%{update_menus}
%{update_desktop_database}

%postun
/sbin/ldconfig
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root,0755)
%{_bindir}
%{_datadir}

%changelog
* Fri Jul 25 2014 ghostbunny <ghostbunny at gmx dot de> 3.1.2-1pclos2014
- 3.1.2

* Thu Jul 26 2013 Texstar <texstar at gmail.com> 3.1.1-1pclos2013
- 3.1.1

* Tue Jun 04 2013 Texstar <texstar at gmail.com> 3.1.0-1pclos2013
- 3.1.0

* Wed Apr 24 2013 Texstar <texstar at gmail.com> 3.0.8-1pclos2013
- 3.0.8

* Mon Feb 11 2013 ghostbunny <ghostbunny at gmx dot de> 3.0.5-1pclos2013
- 3.0.5

* Mon Jan 21 2013 ghostbunny <ghostbunny at gmx dot de> 3.0.4-1pclos2013
- 3.0.4

* Mon Jan 07 2013 ghostbunny <ghostbunny at gmx dot de> 3.0.3-1pclos2013
- 3.0.3
- added german summary and description
- added libm.so.6 to requires exception

* Wed May 30 2012 Neal <nealbrks0 at gmail dot com> 2.1.0-1pclos2012
- build for 32bit

* Sat Oct 22 2011 Texstar <texstar at gmail.com> 2.1.0-1pclos2011
- 2.1.0

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 2.0.1-1pclos2010
- 2.0.1

* Wed May 19 2010 MBantz <martin dot bantz at gmail dot com> 2.0.0-1pclos2010
- Update to 2.0.0

* Sun Dec 13 2009 Texstar <texstar at gmail.com> atunes-1.13.6-1pclos2010
- 1.13.6

* Mon Nov 16 2009 Texstar <texstar at gmail.com> atunes-1.13.5-1pclos2010
- 1.13.5

* Sat Sep 25 2009 Texstar <texstar at gmail.com> atunes-1.13.4-1pclos2009
- 1.13.4

* Fri Aug 28 2009 Texstar <texstar at gmail.com> atunes-1.13.3-1pclos2009
- 1.13.3

* Sat Jun 20 2009 Texstar <texstar at gmail.com> atunes-1.13.1-1pclos2009
- 1.13.1

* Wed May 06 2009 Texstar <texstar at gmail.com> atunes-1.13.0-0.1pclos2009
- 1.13.0 RC1

